/***************************************************************************
 *   Copyright (C) 2003 by Hans Karlsson                                   *
 *   karlsson.h@home.se                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "clickarea.h"


ClickArea::ClickArea( int x, int y, int w, int h )
        : Meter( x, y, w, h )
{
    value = "";
    rect = QRect( x, y, w, h );
}

ClickArea::~ClickArea()
{}


void ClickArea::click( QMouseEvent *e )
{
    KSimpleConfig conf("karambarc",true);
    conf.setGroup("karamba");
    QString Viewer =  conf.readEntry("ImgViewer", "");
    if( rect.contains( e->x(), e->y() ) )
    {
        QString program;
        if( e->button() == Qt::LeftButton ){
            program = onClick;
        }
        program.replace( QRegExp("%viewer", false), Viewer );
        program.replace( QRegExp("%v", false), value );

        if( program != "" ){
          KRun::runCommand(program);
        }
    }

}

void ClickArea::setOnClick( QString oc )
{
    onClick = oc;
}

void ClickArea::setOnMiddleClick( QString oc )
{
    onMiddleClick = oc;
}


QRect ClickArea::getRectangle()
{
    return rect;
}

void ClickArea::mUpdate( QPainter *p )
{

    p->drawRect( x, y, width, height );

}


void ClickArea::setValue( int v)
{

    setValue( QString::number( v ) );

}


void ClickArea::setValue( QString v )
{
    value = v;
}

void ClickArea::setTooltip(QString txt)
{
	QRect rect(x,y,width,height);
	QToolTip::add(myKaramba, rect, txt);
}

void ClickArea::setKaramba(karamba* k)
{
	myKaramba = k;
}



